> For the complete documentation index, see [llms.txt](https://docs.projetly.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.projetly.ai/home/api-reference/tasks.md).

# Tasks

## All Items

> This endpoint is used to fetch all items in the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/":{"get":{"operationId":"tasks_list","description":"This endpoint is used to fetch all items in the current organization","summary":"All Items","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Tasks"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Items"}}}},"description":""}}}}}}
```

## Creates a new item

> This endpoint is used to save a new item for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/tasks/":{"post":{"operationId":"tasks_create","description":"This endpoint is used to save a new item for the current organization","summary":"Creates a new item","tags":["Tasks"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a tag with the given id

> This endpoint is used to fetch a item details for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/{id}/":{"get":{"operationId":"tasks_retrieve","description":"This endpoint is used to fetch a item details for the current organization","summary":"Gets a tag with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Tasks"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## Edits the item with the given id

> This endpoint is used to edit an item for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/tasks/{id}/":{"put":{"operationId":"tasks_update","description":"This endpoint is used to edit an item for the current organization","summary":"Edits the item with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Tasks"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Deletes the item with the given id

> This endpoint is used to delete an item for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/tasks/{id}/":{"delete":{"operationId":"tasks_destroy","description":"This endpoint is used to delete an item for the current organization","summary":"Deletes the item with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Tasks"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/tasks/activity/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/activity/":{"get":{"operationId":"tasks_activity_retrieve","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## GET /api/tasks/attachments/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/attachments/":{"get":{"operationId":"tasks_attachments_retrieve","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## POST /api/tasks/bulk\_actions/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/bulk_actions/":{"post":{"operationId":"tasks_bulk_actions_create","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Items"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Items"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## POST /api/tasks/bulk\_delete/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/bulk_delete/":{"post":{"operationId":"tasks_bulk_delete_create","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Items"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Items"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## Get task by display\_id

> Fetch a task by display\_id (e.g. TSK-123). With customer\_user\_id, system users only: returns the task only if it would be visible to that customer (same rules as my\_tasks).

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/by_display_id/":{"get":{"operationId":"tasks_by_display_id_retrieve","description":"Fetch a task by display_id (e.g. TSK-123). With customer_user_id, system users only: returns the task only if it would be visible to that customer (same rules as my_tasks).","summary":"Get task by display_id","parameters":[{"in":"query","name":"customer_user_id","schema":{"type":"string"},"description":"When the caller has a system role, scope visibility to this customer user"},{"in":"query","name":"display_id","schema":{"type":"string"},"description":"Task display_id (required)","required":true}],"tags":["Tasks"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## POST /api/tasks/del\_file/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/del_file/":{"post":{"operationId":"tasks_del_file_create","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Items"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Items"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## GET /api/tasks/options/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/options/":{"get":{"operationId":"tasks_options_retrieve","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## POST /api/tasks/stop\_recurring/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/stop_recurring/":{"post":{"operationId":"tasks_stop_recurring_create","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Items"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Items"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## GET /api/tasks/task\_options/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/task_options/":{"get":{"operationId":"tasks_task_options_retrieve","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## POST /api/tasks/update\_position/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/update_position/":{"post":{"operationId":"tasks_update_position_create","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Items"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Items"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## POST /api/tasks/update\_recurring/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/update_recurring/":{"post":{"operationId":"tasks_update_recurring_create","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Items"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Items"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```

## GET /api/tasks/user\_list/

> API endpoint that allows tags to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Items":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"item_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":10},"title":{"type":"string"},"item_type":{"type":"integer","default":1},"due_date":{"type":"string","format":"date"},"tags":{"type":"array","items":{}},"is_completed":{"type":"boolean"},"priority":{"type":"object","additionalProperties":{}},"status":{"type":"object","additionalProperties":{}},"owner":{"type":"object","additionalProperties":{}},"project_id":{"type":"string","maxLength":25},"milestone_id":{"type":"string","maxLength":25},"is_private":{"type":"boolean"},"visibility":{"type":"string","default":"shared"},"is_starred":{"type":"boolean"},"is_predefined":{"type":"boolean"},"users":{"type":"string","readOnly":true},"is_risk":{"type":"boolean"},"is_blocked":{"type":"boolean"},"attachments":{"type":"string","readOnly":true},"time_track_id":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"sub_items":{"type":"string","readOnly":true},"parent_id":{"type":"string","nullable":true,"maxLength":25},"is_timer_running":{"type":"boolean"},"total_elapsed_time":{"type":"string","readOnly":true},"position":{"type":"integer"},"is_recurring":{"type":"boolean"},"parent_recurring_id":{"type":"string","nullable":true,"maxLength":25},"recurrence_pattern":{"type":"string","readOnly":true},"recurrence_status":{"type":"string","default":"active"},"is_recurring_child":{"type":"string","readOnly":true},"custom_fields":{"type":"string","readOnly":true},"form_id":{"type":"string","nullable":true,"maxLength":25},"form_structure":{"type":"object","additionalProperties":{},"nullable":true},"form_responses":{"type":"object","additionalProperties":{},"nullable":true},"meeting_summary_id":{"type":"string","nullable":true,"maxLength":25},"calendar_id":{"type":"string","nullable":true,"maxLength":25},"external_map":{"type":"object","additionalProperties":{},"nullable":true}},"required":["attachments","custom_fields","is_recurring_child","item_id","recurrence_pattern","sub_items","title","total_elapsed_time","users"]}}},"paths":{"/api/tasks/user_list/":{"get":{"operationId":"tasks_user_list_retrieve","description":"API endpoint that allows tags to be created, viewed, deleted or edited.","tags":["Tasks"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"description":""}}}}}}
```
